/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */

package gov.nist.atlas;


/**
 * Id encapsulates the notion of ATLAS identifier. An ATLAS identifier is a
 * string which is used to uniquely identify an ATLASElement within a Corpus.
 * Not all ATLASElements can be identifiable, only these that also implements
 * the IdentifiableATLASElement interface.
 *
 * @version $Revision: 1.11 $
 * @author Christophe Laprun
 *
 * @see IdentifiableATLASElement
 */
public interface Id {
  /**
   * Returns a String representation of this Id.
   *
   * @return a String representation of this Id
   */
  String getAsString();
}

