/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */

package gov.nist.atlas.impl.bundled;

import gov.nist.atlas.type.ATLASType;
import gov.nist.atlas.type.RequiredChildDefinition;

/**
 * @version $Revision: 1.2 $
 * @author Christophe Laprun
 */
public class DefaultRequiredChildDefinition extends RequiredChildDefinition {
  public int getIndex() {
    return index;
  }

  public DefaultRequiredChildDefinition(ATLASType typeOfRequiredChild, DefaultTypeImplementationDelegate parent) {
    super(typeOfRequiredChild);
    index = parent.getNextIndexForSimpleFragment();
  }

  int index;
}



