/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */
package gov.nist.atlas.test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * TestATLAS defines the test suite for the ATLAS framework
 *
 * @author Sylvain Pajot
 */
public class TestATLAS extends TestCase {

  public TestATLAS(String name) {
    super(name);
  }

  public static Test suite() {
    TestSuite tests = new TestSuite();
    tests.addTestSuite(TestCorpus.class);
    tests.addTestSuite(ATLASElementTest.class);
    tests.addTestSuite(TestParameter.class);
    tests.addTestSuite(TestAnchor.class);
    tests.addTestSuite(TestRegion.class);
    tests.addTestSuite(TestContent.class);
    //tests.addTestSuite(TestFeature.class);
    //tests.addTestSuite(TestChildren.class);
    tests.addTestSuite(TestAnnotation.class);
    tests.addTestSuite(TestAnalysis.class);
    tests.addTestSuite(TestSignal.class);
    tests.addTestSuite(TestCorporaManager.class);
    tests.addTestSuite(TestReferent.class);
    return tests;
  }

  public static void main(String[] args) {
    junit.textui.TestRunner.run(suite());
  }
}
