/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */
package gov.nist.atlas.util;

import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 * An iterator over no elements.
 *
 * @author Chris Laprun
 * @version $Revision: 1.1 $
 *
 * @since 2.0 beta 5
 */
public final class EmptyIterator implements Iterator {
  private static final Iterator INSTANCE = new EmptyIterator();

  private EmptyIterator() {
  }

  public boolean hasNext() {
    return false;
  }

  public Object next() {
    throw new NoSuchElementException();
  }

  public void remove() {
    throw new UnsupportedOperationException();
  }

  public static final Iterator getInstance() {
    return INSTANCE;
  }
}
