/*
 * ATLAS
 * Architecture and Tools for Linguistic Analysis Systems
 * Author: Chris Laprun, Sylvain Pajot
 *
 * This software was developed at the National Institute of Standards and Technology by
 * employees of the Federal Government in the course of their official duties.  Pursuant to
 * Title 17 Section 105 of the United States Code this software is not subject to copyright
 * protection within the United States and is in the public domain. jATLAS is
 * an experimental system.  NIST assumes no responsibility whatsoever for its use by any party.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS."  With regard to this software, NIST MAKES NO EXPRESS
 * OR IMPLIED WARRANTY AS TO ANY MATTER WHATSOEVER, INCLUDING MERCHANTABILITY,
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 */

package gov.nist.atlas.util;


/**
 * MutableATLASElementSet defines the requirements for an ATLASElementSet that
 * can change, by adding or removing ATLASElements.
 * It implements the Comparable interface since an ATLASElementSet contains no
 * pair of ATLASElements that are equal. Thus, the addition methods need to
 * check the existence of the element(s) in the ATLASElementSet before adding.
 *
 * @version $Revision: 1.8 $
 * @author Christophe Laprun, Sylvain Pajot
 * @see gov.nist.atlas.util.ATLASElementSet
 * @see java.lang.Comparable
 */
public interface MutableATLASElementSet extends Comparable, ATLASElementSet, Mutable {
}

